sample.core.PageManager = Backbone.View.extend({

    pageList: {
        'chat':     {'row': 0, 'column': 0},
        'main':     {'row': 0, 'column': 1},
        'about':    {'row': 1, 'column': 1},
        'player':   {'row': 0, 'column': 2}
    },

    initialize: function() {
        var img1 = new Image();
        img1.src = 'img/sintel_bg.png';
        var img2 = new Image();
        img2.src = 'img/bbb_bg.png';
        var img3 = new Image();
        img3.src = 'img/ed_bg.png';

        var target = null;

        this.setElement('.container');

        var self = this;

        $(window).resize(function() {
            self.$el.removeClass('transitional');
            self.resizeWindow();
        });

    },

    open: function(page) {
        var width = $('body').width(),
            height = $('body').height();

        var self = this;

        if ((page === 'chat') && !sample.core.state.get('userName')) {
            sample.ui.auth_form.show();
        }

        sample.core.state.set('page', page);

        this.resizeWindow();

        console.log('Opening page: ' + page);
    },

    resizeWindow: function() {

        var width = $('body').width(),
            height = $('body').height(),
            curr_page = sample.core.state.get('page');

        this.$el.css({
            'left': -(this.pageList[curr_page].column * width),
            'top': -((this.pageList[curr_page].row * height) - (75 + (this.pageList[curr_page].row + 1)))
        });

        $('.page').width(width);

        for (page in this.pageList) {
            this.$el.find('.'+page).css({
                'left': (this.pageList[page].column * width),
                'top': (this.pageList[page].row * height)
            });
        }

    }

});