sample.models.MainModel = Backbone.Model.extend({
    title: '',
    text: '',
    background: '',
    html: '',

    initialize: function() {
        var self = this;

        this.bind('change:background', function() {
            sample.core.state.set('background', self.get('background'));
            sample.core.state.get('background');
        });

        sample.core.state.bind('change:content', function() {
            self.setContent();
        });
    },

    setContent: function() {
        var content = sample.core.state.get('content');

        if (content == 'sintel') {
            this.set('title', 'Sintel');
            this.set('text', '<p>“Sintel” is an independently produced short film, initiated by the Blender Foundation as a means to further improve and validate the free/open source 3D creation suite Blender. With initial funding provided by 1000s of donations via the internet community, it has again proven to be a viable development model for both open 3D technology as for independent animation film.</p>' +
                '<p>This 15 minute film has been realized in the studio of the Amsterdam Blender Institute, by an international team of artists and developers. In addition to that, several crucial technical and creative targets have been realized online, by developers and artists and teams all over the world.</p>' +
                '<p>“Sintel” commenced in May 2009, with producer Ton Roosendaal establishing a core team consisting of Colin Levy (director), David Revoy (concept art), Martin Lodewijk (story) and Jan Morgenstern (composer). In August script writer Esther Wouda was approached as a consultant, which resulted in her taking the responsibility for the entire screenplay. Esther then worked in close cooperation with Colin, David and Ton to deliver the final script early November. Meanwhile, Colin and David realized the first storyboards.</p>' +
                '<p>Based on a public call for artists – with over 150 respondents – the Durian artist team got established in July 2009. They first met in a pre-production week in Amsterdam in August, and all decided to join the project per October 1st. With the final movie budget still unknown, the target then still was to finish the film within 7 months, with a team of 6 artists and 2 developers. At that time the team still had the hopes to be able to realize the script in a 6-8 minute film.</p>');
            this.set('background', 'img/sintel_bg.png');
            this.set('html', '<video controls=controls autostart=false><source type="video/mp4" src="http://blog.denivip.ru/sample_backbone_app/video/sintel_640x360_2.28.mp4"></source>' +
                '<source type="video/webm" src="http://blog.denivip.ru/sample_backbone_app/video/sintel_640x360_2.28.webm"></source></video>');

        }

        if (content == 'bbb') {
            this.set('title', 'Big Buck Bunny');
            this.set('text', '<p>Big Buck Bunny is a comedy about a well-tempered rabbit “Big Buck”, who finds his day spoiled by the rude actions of the forest bullies, three rodents. In the typical 1950ies cartoon tradition Big Buck then prepares for the rodents a comical revenge.</p>' +
                '<p>The creative team for the movie were brought together by the Blender Institute from all over the world, including the USA, Denmark, Italy, Germany, the Netherlands, Belgium and Australia. The music has been composed by Jan Morgenstern, who also provided the sound track for the previous Blender production; “Elephants Dream”.</p>'+
                '<p>Big Buck Bunny will be released on 35mm film format, on DVD and Blu-ray. The latter will be available by the end of April. Shortly after the DVD release the film will be freely downloadable for everyone in various formats.</p>');
            this.set('background', 'img/bbb_bg.png');
            this.set('html', '<video controls=controls  autostart=false><source type="video/mp4" src="http://blog.denivip.ru/sample_backbone_app/video/big_buck_bunny_640x360_2.28.mp4"></source>' +
                '<source type="video/webm" src="http://blog.denivip.ru/sample_backbone_app/video/big_buck_bunny_640x360_2.28.webm"></source></video>');
        }

        if (content == 'ed') {
            this.set('title', 'Elephants Dream');
            this.set('text', '<p>Elephants Dream is the story of two strange characters exploring a capricious and seemingly infinite machine. The elder, Proog, acts as a tour-guide and protector, happily showing off the sights and dangers of the machine to his initially curious but increasingly skeptical protege Emo. As their journey unfolds we discover signs that the machine is not all Proog thinks it is, and his guiding takes on a more desperate aspect.</p>' +
                '<p>Elephants Dream is a story about communication and fiction, made purposefully open-ended as the world’s first 3D animated “Open movie”. The film itself is released under the Creative Commons license, along with the entirety of the production files used to make it (roughly 7 Gigabytes of data). The software used to make the movie is the free/open source animation suite Blender along with other open source software, thus allowing the movie to be remade, remixed and re-purposed with only a computer and the data on the DVD or download.</p>');
            this.set('background', 'img/ed_bg.png');
            this.set('html', '<video controls=controls  autostart=false><source type="video/mp4" src="http://blog.denivip.ru/sample_backbone_app/video/elephants_dream_640x360_2.30.mp4"></source>' +
                '<source type="video/webm" src="http://blog.denivip.ru/sample_backbone_app/video/elephants_dream_640x360_2.30.webm"></source></video>');
        }
    }
});