sample.routers.App = Backbone.Router.extend({

    routes: {
        "": "initPage",
        "!": "initPage",
        "!/": "initPage",

        "!/about": "aboutPage",
        "!/chat": "chatPage",
        "!/player": "playerPage"


    },

    initialize: function() {
        sample.core.state = new sample.core.AppState();

        sample.models.mainModel= new sample.models.MainModel();

        sample.ui.menu = new sample.ui.Menu();
        sample.ui.main = new sample.ui.MainPage();
        sample.ui.chat = new sample.ui.ChatPage();
        sample.ui.about = new sample.ui.AboutPage();
        sample.ui.player = new sample.ui.PlayerPage();

        sample.core.pageManager = new sample.core.PageManager();

        sample.ui.auth_form = new sample.ui.Modal();

    },

    initPage: function() {
        this.navigate('!/');

        sample.core.pageManager.open('main');
    },

    aboutPage: function() {
        sample.core.pageManager.open('about');
    },

    chatPage: function() {
        sample.core.pageManager.open('chat');
    },

    playerPage: function() {
        sample.core.pageManager.open('player');
    }

});

$(document).ready(function() {
    sample.routers.app = new sample.routers.App();
    Backbone.history.start();
});