sample.ui.Modal = Backbone.View.extend({

    events: {
        "click .modal_cancel": 'cancel',
        "click .modal_submit": 'submit'
    },

    initialize: function() {
        this.setElement('.modal');
    },

    render: function() {
        var self = this;


        $.ajax({
            url: 'app/templates/modal.tpl',
            dataType: 'text'
        }).done(function(data) {
                self.$el.html(data);
                self.$el.find('.modal_layer').fadeIn();
            });
    },

    show: function() {
        this.render();
    },

    close: function() {
        var self = this;

        this.$el.find('.modal_layer').fadeOut(function() {
            self.$el.html('');
        });
    },

    cancel: function() {
        this.close();
    },

    submit: function() {
        var nickname = $('#modal_nickname').val();
        if (nickname) {
            sample.core.state.set('userName', nickname);
            $('.auth').hide();
            $('.exit').show();
            this.close();
        }
    }

});