sample.ui.MainPage = Backbone.View.extend({

    events: {
        "click .thumb": 'onThumbSelect',
        "click .watch_btn": 'onWatchBtnClick'
    },

    initialize: function() {
        this.model = sample.models.mainModel;

        $('.container').append('<div class="page main"></div>');

        this.setElement('.main');

        this.render();

        var self = this;

        this.model.bind('change:title', function() {
            self.$el.find('.title').html(self.model.get('title'));
        });

        this.model.bind('change:text', function() {
            self.$el.find('.text').html(self.model.get('text'));
        });
    },

    render: function() {
        var self = this;

        $.ajax({
            url: 'app/templates/main.tpl',
            dataType: 'text'
        }).done(function(data) {
                self.$el.html(data);

                sample.core.state.set('content', 'sintel');
                self.$el.find('.thumb[data-id='+sample.core.state.get('content')+']').addClass('active');
            })
    },

    onThumbSelect: function (e) {
        this.$el.find('.thumb').removeClass('active');
        $(e.target).addClass('active');

        sample.core.state.set('content', $(e.target).attr('data-id'));
    },

    onWatchBtnClick: function() {
        document.location.href = '#!/player';
    }
});